use macroquad::{
    color::{BLACK, WHITE},
    text::draw_text,
    window::{clear_background, screen_height, screen_width},
};

use crate::screen::Screen;

#[derive(Default)]
pub struct HostScreen {}

impl Screen for HostScreen {
    fn handle_frame(&mut self, _ctx: &mut crate::context::Context) {
        clear_background(WHITE);

        draw_text(
            "I'm the host!",
            screen_width() / 2.0,
            screen_height() / 2.0,
            100.0,
            BLACK,
        );
    }

    fn handle_messages(
        &mut self,
        _ctx: &mut crate::context::Context,
    ) -> Option<crate::StateTransition> {
        None
    }
}
